summaryrefslogtreecommitdiffstats
path: root/libraries/libg15
diff options
context:
space:
mode:
author Alan Alberghini2010-05-13 00:58:47 +0200
committer Robby Workman2010-05-13 00:58:47 +0200
commit847fc78d608eff654c11b213fbf24a77425bd168 (patch)
tree7d62e2f0156b8a1fb742ff6385c1a00398e74c35 /libraries/libg15
parent210d1e041e5f71086fe6fae4f4791755fe5a5e75 (diff)
downloadslackbuilds-847fc78d608eff654c11b213fbf24a77425bd168.tar.gz
libraries/libg15: Added to 13.0 repository
Diffstat (limited to 'libraries/libg15')
-rw-r--r--libraries/libg15/README3
-rw-r--r--libraries/libg15/libg15.SlackBuild88
-rw-r--r--libraries/libg15/libg15.info10
-rw-r--r--libraries/libg15/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/libraries/libg15/README b/libraries/libg15/README
new file mode 100644
index 0000000000..ce7191dae3
--- /dev/null
+++ b/libraries/libg15/README
@@ -0,0 +1,3 @@
+The libg15 library gives applications low-level access to the G15 and G11
+keyboards and the Z10 speakers. G15Daemon requires it to be installed.
+It uses libusb for access to the usb bus.
diff --git a/libraries/libg15/libg15.SlackBuild b/libraries/libg15/libg15.SlackBuild
new file mode 100644
index 0000000000..8475b1f6ea
--- /dev/null
+++ b/libraries/libg15/libg15.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for libg15
+
+# Copyright (c) 2009 Alan Alberghini <414N@slacky.it>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+
+
+PRGNAM=libg15
+VERSION=${VERSION:-1.2.7}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DOCS="README AUTHORS ChangeLog NEWS COPYING"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --disable-static \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libg15/libg15.info b/libraries/libg15/libg15.info
new file mode 100644
index 0000000000..bb98fd07c7
--- /dev/null
+++ b/libraries/libg15/libg15.info
@@ -0,0 +1,10 @@
+PRGNAM="libg15"
+VERSION="1.2.7"
+HOMEPAGE="http://www.g15tools.com/"
+DOWNLOAD="http://downloads.sourceforge.net/project/g15tools/libg15/1.2.7/libg15-1.2.7.tar.bz2"
+MD5SUM="718c8e1d0d0d4657f95427593d90a27a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Alan Alberghini"
+EMAIL="414N@slacky.it"
+APPROVED="rworkman"
diff --git a/libraries/libg15/slack-desc b/libraries/libg15/slack-desc
new file mode 100644
index 0000000000..d125e45d93
--- /dev/null
+++ b/libraries/libg15/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |----handy-ruler--------------------------------------------------------|
+libg15: Libg15 (G11 and G15 keyboard/ Z10 speaker library)
+libg15:
+libg15: The libg15 library gives applications low-level access to the
+libg15: G15 and G11 keyboards and the Z10 speakers. G15Daemon requires
+libg15: it to be installed. It uses libusb for access to the usb bus.
+libg15:
+libg15: http://www.g15tools.com
+libg15:
+libg15:
+libg15:
+libg15: